Page MenuHomePhabricator

Wire up repository for entity label with services
Closed, ResolvedPublic

Description

The repository created in T231465: Create a repository for entity label in specific language needs to be instantiated in src/mediawiki/createServices.ts.
It is initialized with mw.config.get( 'wgPageContentLanguage' ) as the language code.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2019, 3:51 PM

Could we expend this task, what he is really about. I this shape he seems to brief to understand, what he is good for.

Michael renamed this task from Add repository for entity label to services to Wire up repository for entity label with services.Sep 3 2019, 8:51 AM
Michael updated the task description. (Show Details)
Michael claimed this task.Sep 11 2019, 12:48 PM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-4 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptSep 11 2019, 12:48 PM

Change 535845 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Initialize EntityLabelRepository in Services

https://gerrit.wikimedia.org/r/535845

Michael moved this task from Doing to To do on the Wikidata-Bridge-Sprint-4 board.Sep 11 2019, 1:35 PM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-5 board.
Michael moved this task from Doing to Peer Review on the Wikidata-Bridge-Sprint-5 board.

Change 535845 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Initialize EntityLabelRepository in Services

https://gerrit.wikimedia.org/r/535845

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 12 2019, 10:00 AM